import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import {InputSize,Currency} from "./Utils"

import YBIC from './YBIC'
import TextArea from './ZTextArea'

const FormItem = Form.Item;
const Option = Select.Option

export default class T50H extends Component
{

    name='50H'
    desp = "Ordering Customer"
    
    pattern = "	/34x 4*35x"
    tno = -1

      keys=[1,2,]

    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        
        let mval = ""

        if(obj.s1)
            mval =  '/' + obj.s1 
        
        if(obj.s2)
            mval = mval?`${mval}\r\n${obj.s2}`:obj.s2
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
       return  (<div>
        <Row>
                    <Col style={{"minWidth":'100px'}} span={16}>
                        <FormItem
                            label="Account"
                            help={errmsg.s1}
                            validateStatus={errmsg.s1?'error':null}
                        >
                                
                                    <Input value={value.s1} onChange={(e)=>this.onChange(1,e.target.value)} addonBefore="/"  maxLength={34} style={{imeMode:'disabled'}} placeholder="Account"/>
                                   
                        </FormItem>
                    </Col>
        </Row>
        <Row>
            <Col>
            <FormItem
                 label="Name and Address"  
                  required={this.props.status=='M' || mval?'required':null}
                 help={errmsg.s2}
                 validateStatus={errmsg.s2?'error':null}
                >
                        
                        <TextArea rows={4} cols={35} addonAfter={ <YBIC onSelect={obj=>this.onChange(2,obj.name)} /> } value={value.s2} onChange={(e)=>this.onChange(2,e.target.value)} type= "textarea" maxLength={140} style={{imeMode:'disabled'}} placeholder="Name and Address"/>
                </FormItem>
            </Col>
        </Row>
        </div>)
    }
}